from django.conf import settings
from django.conf.urls.defaults import *
from django.contrib import admin
from youloc.youlocapp.views import mapview
from youloc.youlocapp.views import users
from youloc.youlocapp.views import updateLocation
from youloc.openidapp.views import home

admin.autodiscover()

urlpatterns = patterns('',
    (r'^$', mapview),
    (r'^users.kml$', users),
    (r'^profile.html$', home),
    (r'^updatelocation/$', updateLocation),
    (r'^account/', include('django_authopenid.urls')),
    (r'^admin/(.*)', admin.site.root),
)

if settings.DEBUG:
    urlpatterns += patterns('',
        (r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': settings.MEDIA_ROOT}),
    )
