from django.shortcuts import render_to_response 
import datetime 
from youloc.youlocapp.models import LatestLocation
from django.http import HttpResponse

def mapview(request):
    return render_to_response('map.html', {'user': request.user})

def users(request):
    locations = LatestLocation.objects.all()
    return render_to_response('users.kml', {'locations': locations, 'user': request.user}, mimetype="application/vnd.google-earth.kml+xml")

def updateLocation(request):
    response = "not authenticated"
    if ( request.user.is_authenticated() ):
        curloc = None
        try:
            curloc = LatestLocation.objects.get(user=request.user)
        except:
            curloc = LatestLocation(user=request.user,updatetime=datetime.datetime.now())

        try:
            curloc.updatetime = datetime.datetime.now()
            curloc.latitude = float(request.POST['lat'])
            curloc.longitude = float(request.POST['lon'])
            response = "success"
        except Exception, e:
            response = "failed"
            pass
        curloc.save()

    #return HttpResponse("%s %s" % (curloc.latitude, curloc.longitude))
    return HttpResponse("{'location update': '"+response+"'}",
                                   mimetype="application/json")

